I made the same thing in build123d: from build123d import * with BuildLine() as swpl: l1 = Line((0,0),(0,30)) l2 = JernArc(l1@1,l1%1,70,90) with BuildLine(Plane.XZ) as swpl3: #-70,100,0 p1 = JernArc(start=(0,0,0),tangent=(-1,0,0),radius=60,arc_size=60) p2 = JernArc(start=p1@1,tangent=p1%1,radius=60,arc_size=-60) p3 = Line(p2@1,p2@1+(-50,0,0)) with BuildPart() as p: with BuildLine() as combl: add(swpl.line) with Locations((-70,100,0)): add(swpl3.line) with BuildSketch(Plane.ZX) as sk: Circle(60/2) Circle(50/2,mode=Mode.SUBTRACT) sweep() #create tube with BuildSketch(Plane.ZX) as tri: RegularPolygon(80,3) #not sure what dimension should be? fillet(tri.vertices(),15) Circle(50/2,mode=Mode.SUBTRACT) with PolarLocations(50,3): Circle(12/2,mode=Mode.SUBTRACT) extrude(amount=-15) fillet(p.edges().filter_by(GeomType.CIRCLE).sort_by(Axis.Y)[7],8) fillet(p.edges().group_by(Axis.Y)[2],1)
i cannot use the additive pipe on the line when using freecad from realthunder (error message "Please select the original bound shape"), but when i save this project & open it in freecad from official website, it works. Tried again make it from new project in official freecad, it worked. Tried same thing in freecad realthunder & got the same error, but it can be finished when open the project in the official freecad. But in official freecad, i always get an error when trying to make a pocket on an object by using shapestring, but there is no issue when i switch to freecad realthunder. So i'm using both version now, & switch when i get stuck in some action, has anyone experienced same issue like me? Or is it normal to use different release in one project when we get stuck due to some error? this is my first CAD software that i learn, so i'm still confuse when encountering some error, is it me or software 😅 Very good tutorial btw, simple but very efective, i have watched many tutorial to make pipe tubing, but in this tutorial now i know how to make the line, which point of view that i should take to make the line, very good thank you
Perhaps it's an order thing. It seems by my experience (albeit somewhat limited) you want to create all solid geometry with pads, pipes, etc., then you can proceed with pockets and thickness, then lastly holes and chamfers... This seems to be the Jedi you want to study first: www.youtube.com/@OficineRobotica
Thanks for the lesson, got new knowledge.
Thank you very much. It was very interesting and very usefull lesson.
Wow!😊
No6, I did it
AWESOME!
Thank you very much!
Valeu parceiro 10++++++OK
I made the same thing in build123d:
from build123d import *
with BuildLine() as swpl:
l1 = Line((0,0),(0,30))
l2 = JernArc(l1@1,l1%1,70,90)
with BuildLine(Plane.XZ) as swpl3:
#-70,100,0
p1 = JernArc(start=(0,0,0),tangent=(-1,0,0),radius=60,arc_size=60)
p2 = JernArc(start=p1@1,tangent=p1%1,radius=60,arc_size=-60)
p3 = Line(p2@1,p2@1+(-50,0,0))
with BuildPart() as p:
with BuildLine() as combl:
add(swpl.line)
with Locations((-70,100,0)):
add(swpl3.line)
with BuildSketch(Plane.ZX) as sk:
Circle(60/2)
Circle(50/2,mode=Mode.SUBTRACT)
sweep() #create tube
with BuildSketch(Plane.ZX) as tri:
RegularPolygon(80,3) #not sure what dimension should be?
fillet(tri.vertices(),15)
Circle(50/2,mode=Mode.SUBTRACT)
with PolarLocations(50,3):
Circle(12/2,mode=Mode.SUBTRACT)
extrude(amount=-15)
fillet(p.edges().filter_by(GeomType.CIRCLE).sort_by(Axis.Y)[7],8)
fillet(p.edges().group_by(Axis.Y)[2],1)
You are so amazing, I can't read the code at all
@@FreeCADTutorials Thanks! We are working on a new open source CodeCAD package that is similar to both OpenSCAD and FreeCAD called build123d.
i cannot use the additive pipe on the line when using freecad from realthunder (error message "Please select the original bound shape"), but when i save this project & open it in freecad from official website, it works.
Tried again make it from new project in official freecad, it worked. Tried same thing in freecad realthunder & got the same error, but it can be finished when open the project in the official freecad.
But in official freecad, i always get an error when trying to make a pocket on an object by using shapestring, but there is no issue when i switch to freecad realthunder.
So i'm using both version now, & switch when i get stuck in some action, has anyone experienced same issue like me?
Or is it normal to use different release in one project when we get stuck due to some error?
this is my first CAD software that i learn, so i'm still confuse when encountering some error, is it me or software 😅
Very good tutorial btw, simple but very efective, i have watched many tutorial to make pipe tubing, but in this tutorial now i know how to make the line, which point of view that i should take to make the line, very good
thank you
Most likely a software bug
Perhaps it's an order thing. It seems by my experience (albeit somewhat limited) you want to create all solid geometry with pads, pipes, etc., then you can proceed with pockets and thickness, then lastly holes and chamfers...
This seems to be the Jedi you want to study first:
www.youtube.com/@OficineRobotica
I could not hear the commentary
The explanation is very poor, just look at the operation steps